Topic: Windows8 Compatibility?

Hello, just wondering if any official support for Windows 8 has been implemented into Windows 8, or if it will in the future.  I tried googling anything related to Windows 8 and litestep but there is next to nothing.  I tried installing litestep on my machine, but things don't really work as intended.  My windows taskbar doesn't properly close to be replaced by the litestep ones, and the 'metro' interface likes to get stuck in a state of opening and closing constantly when I reboot.
  Would be great if anyone could share any information they have related to this topic, I'd love to you use Litestep as a shell because of the beautiful skins. =]


Re: Windows8 Compatibility?

I'm working on it.


Re: Windows8 Compatibility?

I recently switched to a new computer running windows 8, I have installed litestep and the nModules, are there any requirements for the nModules?


Re: Windows8 Compatibility?

Well, you certainly need the latest 0.25.0 alpha, and vista or above, but that should be it.


Re: Windows8 Compatibility?

Well I'm getting an error stating the program cannot be run due to MSCVCR110.dll being missing. I'm using windows 8 pro in case you were wondering.

6 (edited by alur 2013-08-12 14:21:26 pm)

Re: Windows8 Compatibility?

You are missing the VC 2012 redistributable, which is required to run the newer 0.25.0 alphas

http://www.microsoft.com/en-us/download … x?id=30679

In addition, my nModules require the 2013 reditributable.

http://www.microsoft.com/en-us/download … x?id=39315

Do make sure the architecture (x86 -> 32bit, x64 -> 64bit) matches the architecture of the LiteStep build you are running.

7 (edited by Baron Bruce 2013-08-13 23:27:29 pm)

Re: Windows8 Compatibility?

Thanks, I was unable to find those earlier. My system already had the 2012 version, but lacked the 2013 update.


Re: Windows8 Compatibility?

Could you please provide me with a theme that has the nModules pre-loaded?

9 (edited by alur 2013-08-14 11:44:28 am)

Re: Windows8 Compatibility?

This is my current test theme. Some things may not work (tray sizing, you probably want to fix that in Tray.rc), at least until I release the next module update:


Re: Windows8 Compatibility?

Where can I find this "MultiMonitor" module?


Re: Windows8 Compatibility?


12 (edited by Baron Bruce 2013-09-19 19:26:05 pm)

Re: Windows8 Compatibility?

Ok, so every time I try and load LS it crashes and presents me with an error message stating "Litestep has stopped working".
EDIT: It appears nTaskSwitch was the reason for this, after disabling it the theme worked.


Re: Windows8 Compatibility?

Hey Alur, the link to nDemo2 is dead, please update so I may experiment. smile


Re: Windows8 Compatibility?

The link works as far as I can tell. :\